Subject: Re: [PATCH] clk: imx: pll14xx: Fix quick switch of S/K parameter

From: Stephen Boyd <[email-masked]>
Date: Mon, 09 Sep 2019 01:20:31 -0700

Quoting Leonard Crestez (2019-09-06 12:36:47)
> On 06.09.2019 20:24, Stephen Boyd wrote:
> > Quoting Leonard Crestez (2019-09-04 02:49:18)
> >> The PLL14xx on imx8m can change the S and K parameter without requiring
> >> a reset and relock of the whole PLL.
> >>
> >> Fix clk_pll144xx_mp_change register reading and use it for pll1443 as
> >> well since no reset+relock is required on K changes either.
> >>
> >> Signed-off-by: Leonard Crestez <[email-masked]>
> >> ---
> >>   drivers/clk/imx/clk-pll14xx.c | 40 +++++++----------------------------
> >>   1 file changed, 8 insertions(+), 32 deletions(-)
> >>
> >> The PLLs are currently table-based and none of the entries differ only
> >> in S/K so further work would be required to make use of this. The
> >> prospective user is audio doing tiny freq adjustments and there is no
> >> standard API for that.
> > 
> > sub-Hz adjustments?
> 
> Maybe at the audio level? The PLL itself runs at ~400Mhz so wouldn't 
> need sub-hz adjustment.
> 
> My understanding is that adjustments would be made based on an external 
> clock so if CLK framework rounds to 1hz then it would just take longer 
> for adjustment to kick in.

Ok.

> 
> >> Lacking users is not a good reason to carry broken code around.
> > 
> > Maybe add a Fixes tag so if anyone wants to use it in LTS kernels there
> > might be a chance that they'll find this patch mention code they're
> > using.
> 
> It doesn't meet stable kernel rules because it doesn't "fix a real bug 
> that bothers people" but it's still technically a fix:
> 
> Fixes: 8646d4dcc7fb ("clk: imx: Add PLLs driver for imx8mm soc")
> 

Sure. Thanks! I assume Shawn will pick this up.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel